uboot: (firmwareOdroidC2/C4) don't invoke patch tool, use patches = [] instead

https://github.com/NixOS/nixpkgs/blob/master/pkgs/stdenv/generic/setup.sh#L948
this can do it nicely.

Signed-off-by: Anton Arapov <anton@deadbeef.mx>
This commit is contained in:
Anton Arapov 2021-04-03 12:58:10 +02:00 committed by Alan Daniels
commit 56de2bcd43
30691 changed files with 3076956 additions and 0 deletions

View file

@ -0,0 +1,29 @@
#!/usr/bin/env bash
export PATH="@@out@@/tools:$PATH"
set -eo pipefail
if ! cat /etc/cjdns.keys >/dev/null 2>&1; then
echo "ERROR: No permission to read /etc/cjdns.keys (use sudo)" >&2
exit 1
fi
if [[ -z $1 ]]; then
echo "Cjdns admin"
echo "Usage: $0 <command> <args..>"
echo
echo "Commands:" $(find @@out@@/tools -maxdepth 1 -type f | sed -r "s|.+/||g")
_sh=$(which sh)
PATH="@@out@@/tools" PS1="cjdns\$ " "$_sh"
else
if [[ ! -e @@out@@/tools/$1 ]]; then
echo "ERROR: '$1' is not a valid tool" >&2
exit 2
else
"$@"
fi
fi